Support » Theme: Blocksy » Pjax not working after updates above 1.8.6

  • Resolved Miguel

    (@mhagenaars)


    Hello,

    I am using the following plugin “Preload & Pjax Faster Page Load” to make the webpages load very fast. It works with history pushstate. It only reloads the content of the page instead of the whole page. But after every update above 1.8.6, the submenu will not load while hovering. After refreshing the page and cleaning my cache, it works 1 time and then again not working. ( CTRL + F5 ).

    Take a look at my test site: [ redundant link removed ]. Perhaps someone can help me?

    • This topic was modified 8 months, 1 week ago by Miguel.
    • This topic was modified 8 months, 1 week ago by Jan Dembowski.

    The page I need help with: [log in to see the link]

Viewing 6 replies - 1 through 6 (of 6 total)
  • Moderator Jan Dembowski

    (@jdembowski)

    Forum Moderator and Brute Squad

    @mhagenaars See the link field? Use it. When you don’t you may be mistaken for a spammer and banned. You don’t want that, do you?

    Please use the link field going forward. I moved your link to the link field.

    Hey @mhagenaars

    I’m not entirely sure, but if you’re speaking of this plugin — https://wordpress.org/plugins/wp-preload-pjax/ — it hasn’t been updated for the last 7 years!

    Web technologies have advanced many, many times since then and with each update, we take advantage of such new technologies. Because this plugin and its required libraries have not been updated for the past few years, some JavaScript code that’s in Blocksy is too “new” for this plugin to understand what to do with it.

    I will ask our developers for their opinion as well, but I’m not entirely sure if we can do something from our end.

    Thanks

    Thread Starter Miguel

    (@mhagenaars)

    @jdembowski

    Wow no, that’s a really good one. I don’t want that indeed!

    @cteduard

    Okay, I think I have to find out what changed in the code what creates this issue.

    it hasn’t been updated for the last 7 years!

    True, but some pjax plugins are, but not working anymore with the latest update of Blocksy. Btw, is it a great feature to implement the History pushState + ajax (pjax) into themes? I think it will really improve the user experience!

    Hello @mhagenaars

    I have just spoken with the development team and they have informed me that they will add a little fix for this issue in the next Blocksy update 🙂

    There will be more to share regarding this functionality in the near future, so keep an eye out, but this small issue will get fixed in the upcoming update.

    Thanks!

    Thread Starter Miguel

    (@mhagenaars)

    @cteduard Wow that is so great to hear, Eduard! Blocksy makes me more and more excited, thanks! 🙂

    Thank you for the kind words, Miguel! ❤️

Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘Pjax not working after updates above 1.8.6’ is closed to new replies.